## firefox 54.0+build3

=== debian/changelog ===
firefox (54.0+build3-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (54.0build3)
    - see USN-3315-1

  * Build with rustc and cargo
    - update debian/control{,.in}
    - update debian/config/mozconfig.in
  * Don't strip .gitignore files from the tarball. If these are stripped
    from vendored rust crates, then the build fails
  * Refresh patches
    - update debian/patches/unity-menubar.patch
  * Don't build with --enable-system-ffi on arm64. System ffi is only required
    on non-tier 1 platforms, so only build depend on libffi-dev on powerpc,
    ppc64el and s390x
  * Refresh shipped locales
    - update debian/config/locales.*
    - update debian/config/searchplugins.conf
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 07 Jun 2017 15:35:23 +0100

firefox (53.0.3+build1-0ubuntu0.16.10.2) yakkety-security; urgency=medium

  * New upstream stable release (53.0.3build1)
    - see USN-3299-1

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 23 May 2017 14:06:40 +0100

firefox (53.0.2+build1-0ubuntu0.16.10.2) yakkety-security; urgency=medium

  * New upstream stable release (53.0.2build1)
    - see USN-3260-2

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 05 May 2017 15:24:31 +0100

firefox (53.0+build6-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (53.0build6)
    - see USN-3260-1

  * Update unity-menubar.patch with the latest version submitted upstream
  * Build with --disable-rust for now
  * Stop installing the NPAPI headers and make firefox-dev a transitional
    package
    - update debian/build/rules.mk
    - update debian/rules
    - update debian/control{,.in}
    - remove debian/firefox-dev.install.in
    - remove debian/firefox-dev.links.in
    - remove debian/pkgconfig/mozilla-plugin.pc.in
  * Add Urdu language pack
  * Refresh patches
    - update debian/patches/revert-upstream-search-engine-changes.patch
    - update debian/patches/unity-menubar.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 18 Apr 2017 11:22:01 +0100

firefox (52.0.2+build1-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (52.0.2build1)
    - Really fix LP: #1671079 - Don't crash if LOGNAME is not set in the
      environment

  * Fix LP: #1671273 - Build with --enable-alsa for now to re-enable the
    unmaintained ALSA backend. Note that problems with the ALSA backend will
    not block future updates and Ubuntu flavors that ship without Pulseaudio
    need to participate in maintaining this code

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 29 Mar 2017 13:11:13 +0100

firefox (52.0.1+build2-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (52.0.1build2)
    - Fix LP: #1671079 - Don't crash if LOGNAME is not set in the environment

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 08 Mar 2017 15:35:53 +0000

firefox (52.0+build2-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (52.0build2)
    - see USN-3216-1

  [ Rico Tzschichholz ]
  * Update debian/patches/revert-upstream-search-engine-changes.patch
  * Unconditionally build-dep on libffi-dev
  * Drop */browser/components from firefox.install.in, browsercomps was merged
    into xul - https://hg.mozilla.org/mozilla-central/rev/4006b190b344

  [ Chris Coulson ]
  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/revert-upstream-search-engine-changes.patch
    - update debian/patches/ubuntu-bookmarks.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 03 Mar 2017 00:38:43 +0000

firefox (51.0.1+build2-0ubuntu0.16.10.2) yakkety-security; urgency=medium

  * Fix LP: #1659922 - Fix Apparmor denials triggered by shared memory usage
    when e10s is enabled

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 01 Feb 2017 16:49:07 +0000

firefox (51.0.1+build2-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (51.0.1build2)
    - see USN-3175-1

  [ Chris Coulson ]
  * Refresh patches:
    - update debian/patches/support-coinstallable-trunk-build.patch
    - update debian/patches/unity-menubar.patch
  * Remove unused --with-google-oauth-keyfile option
    - update debian/config/mozconfig.in
    - remove debian/go

  [ Rico Tzschichholz ]
  * Refresh patches:
    - update debian/patches/ubuntu-search-defaults.patch
  * Add Kabyle language pack
    - update debian/config/locales.all
    - update debian/config/locales.shipped
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 19 Jan 2017 17:46:11 +0000

firefox (50.1.0+build2-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (50.1.0build2)
    - see USN-3155-1

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 08 Dec 2016 20:30:33 +0000

firefox (50.0.2+build1-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (50.0.2build1)
    - see USN-3140-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 30 Nov 2016 09:06:29 +0000

firefox (50.0+build2-0ubuntu0.16.10.2) yakkety-security; urgency=medium

  * New upstream stable release (50.0build2)
    - see USN-3124-1

  [ Chris Coulson ]
  * Refresh patches:
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/support-coinstallable-trunk-build.patch
  * Fix an issue in debian/distribution.ini that was causing malformed URLs
    to be sent to Mozilla services

  [ Rico Tzschichholz ]
  * Add build-dep on libx11-xcb-dev

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 14 Nov 2016 14:10:13 +0000

firefox (49.0.2+build2-0ubuntu0.16.10.2) yakkety-security; urgency=medium

  * New upstream stable release (49.0.2build2)
    - see USN-3111-1

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 25 Oct 2016 15:34:08 +0100

=== debian/control ===
# vim:noexpandtab:
Source: firefox
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.wily
Build-Depends: cdbs,
	locales,
	debhelper (>= 7),
	autotools-dev,
	autoconf2.13,
	quilt,
	zip,
	libx11-dev,
	libx11-xcb-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libgtk-3-dev (>= 3.4),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libgconf2-dev (>= 1.2.1),
	libgnomeui-dev (>= 2.2.0),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev (>= 0.4),
	libxrender-dev,
	libpulse-dev,
	yasm (>= 1.1),
	unzip,
	dbus-x11,
	xvfb,
	python (>= 2.7),
	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
	cargo (>= 0.16),
	rustc (>= 1.15.1)
Standards-Version: 3.9.1
#XS-Testsuite: autopkgtest

Package: firefox
Architecture: any
Depends: lsb-release,
	${misc:Depends},
	${shlibs:Depends}
Recommends: xul-ext-ubufox,
	${support:Recommends},
	libcanberra0,
	libdbusmenu-glib4,
	libdbusmenu-gtk4
Provides: www-browser,
	iceweasel,
	gnome-www-browser,
	${app:Provides}
Suggests: fonts-lyx,
	${support:Suggests}
Breaks: ${transitional:Breaks}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
XB-Xul-AppId: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
Description: Safe and easy web browser from Mozilla
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.

Package: firefox-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	firefox (= ${binary:Version})
Provides: ${app:Provides}
Conflicts: ${app:Conflicts},
Description: Safe and easy web browser from Mozilla - debug symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the debugging symbols for the Firefox web
 browser

Package: firefox-dev
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Safe and easy web browser from Mozilla - development files
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: firefox-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends},
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Mozilla - Breakpad symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: firefox-testsuite
Architecture: any
Section: misc
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends},
	firefox (= ${binary:Version}),
	firefox-locale-af (= ${binary:Version}), firefox-locale-an (= ${binary:Version}), firefox-locale-ar (= ${binary:Version}), firefox-locale-as (= ${binary:Version}), firefox-locale-ast (= ${binary:Version}), firefox-locale-az (= ${binary:Version}), firefox-locale-be (= ${binary:Version}), firefox-locale-bg (= ${binary:Version}), firefox-locale-bn (= ${binary:Version}), firefox-locale-br (= ${binary:Version}), firefox-locale-bs (= ${binary:Version}), firefox-locale-ca (= ${binary:Version}), firefox-locale-cak (= ${binary:Version}), firefox-locale-cs (= ${binary:Version}), firefox-locale-csb (= ${binary:Version}), firefox-locale-cy (= ${binary:Version}), firefox-locale-da (= ${binary:Version}), firefox-locale-de (= ${binary:Version}), firefox-locale-el (= ${binary:Version}), firefox-locale-en (= ${binary:Version}), firefox-locale-eo (= ${binary:Version}), firefox-locale-es (= ${binary:Version}), firefox-locale-et (= ${binary:Version}), firefox-locale-eu (= ${binary:Version}), firefox-locale-fa (= ${binary:Version}), firefox-locale-fi (= ${binary:Version}), firefox-locale-fr (= ${binary:Version}), firefox-locale-fy (= ${binary:Version}), firefox-locale-ga (= ${binary:Version}), firefox-locale-gd (= ${binary:Version}), firefox-locale-gl (= ${binary:Version}), firefox-locale-gn (= ${binary:Version}), firefox-locale-gu (= ${binary:Version}), firefox-locale-he (= ${binary:Version}), firefox-locale-hi (= ${binary:Version}), firefox-locale-hr (= ${binary:Version}), firefox-locale-hsb (= ${binary:Version}), firefox-locale-hu (= ${binary:Version}), firefox-locale-hy (= ${binary:Version}), firefox-locale-id (= ${binary:Version}), firefox-locale-is (= ${binary:Version}), firefox-locale-it (= ${binary:Version}), firefox-locale-ja (= ${binary:Version}), firefox-locale-ka (= ${binary:Version}), firefox-locale-kab (= ${binary:Version}), firefox-locale-kk (= ${binary:Version}), firefox-locale-km (= ${binary:Version}), firefox-locale-kn (= ${binary:Version}), firefox-locale-ko (= ${binary:Version}), firefox-locale-ku (= ${binary:Version}), firefox-locale-lg (= ${binary:Version}), firefox-locale-lt (= ${binary:Version}), firefox-locale-lv (= ${binary:Version}), firefox-locale-mai (= ${binary:Version}), firefox-locale-mk (= ${binary:Version}), firefox-locale-ml (= ${binary:Version}), firefox-locale-mn (= ${binary:Version}), firefox-locale-mr (= ${binary:Version}), firefox-locale-ms (= ${binary:Version}), firefox-locale-my (= ${binary:Version}), firefox-locale-nb (= ${binary:Version}), firefox-locale-nl (= ${binary:Version}), firefox-locale-nn (= ${binary:Version}), firefox-locale-nso (= ${binary:Version}), firefox-locale-oc (= ${binary:Version}), firefox-locale-or (= ${binary:Version}), firefox-locale-pa (= ${binary:Version}), firefox-locale-pl (= ${binary:Version}), firefox-locale-pt (= ${binary:Version}), firefox-locale-ro (= ${binary:Version}), firefox-locale-ru (= ${binary:Version}), firefox-locale-si (= ${binary:Version}), firefox-locale-sk (= ${binary:Version}), firefox-locale-sl (= ${binary:Version}), firefox-locale-sq (= ${binary:Version}), firefox-locale-sr (= ${binary:Version}), firefox-locale-sv (= ${binary:Version}), firefox-locale-sw (= ${binary:Version}), firefox-locale-ta (= ${binary:Version}), firefox-locale-te (= ${binary:Version}), firefox-locale-th (= ${binary:Version}), firefox-locale-tr (= ${binary:Version}), firefox-locale-uk (= ${binary:Version}), firefox-locale-ur (= ${binary:Version}), firefox-locale-uz (= ${binary:Version}), firefox-locale-vi (= ${binary:Version}), firefox-locale-xh (= ${binary:Version}), firefox-locale-zh-hans (= ${binary:Version}), firefox-locale-zh-hant (= ${binary:Version}), firefox-locale-zu (= ${binary:Version}),
	python,
	dbus-x11,
	xvfb,
	make,
	notify-osd,
	metacity,
	language-pack-en-base,
	language-pack-es-base,
	language-pack-fr-base,
	language-pack-pt-base,
	fonts-arabeyes,
	fonts-kacst,
	fonts-takao-mincho,
	fonts-takao-gothic,
	fonts-wqy-zenhei | ttf-wqy-zenhei,
	fonts-arphic-uming,
	fonts-arphic-ukai | ttf-arphic-ukai,
	fonts-nanum,
	fonts-nanum-coding,
	fonts-unfonts-core,
	fonts-liberation,
	gnome-session,
	gnome-settings-daemon,
	ubuntu-settings,
	light-themes,
	unzip,
	hunspell-en-us,
	libgl1-mesa-dri
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Mozilla - testsuite
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Firefox testsuite

# Transitional packages below here

# Can be dropped after 14.04
Package: firefox-globalmenu
Architecture: any
Section: oldlibs
Priority: extra
Depends: firefox,
	${misc:Depends}
Description: Safe and easy web browser from Mozilla (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Language packs below here

Package: firefox-locale-af
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-af-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Afrikaans language pack for Firefox
 This package contains Afrikaans translations and search plugins
 for Firefox

Package: firefox-locale-an
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-an-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Aragonese language pack for Firefox
 This package contains Aragonese translations and search plugins
 for Firefox

Package: firefox-locale-ar
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ar-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Arabic language pack for Firefox
 This package contains Arabic translations and search plugins
 for Firefox

Package: firefox-locale-as
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-as-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Assamese language pack for Firefox
 This package contains Assamese translations and search plugins
 for Firefox

Package: firefox-locale-ast
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ast-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Asturian language pack for Firefox
 This package contains Asturian translations and search plugins
 for Firefox

Package: firefox-locale-az
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-az-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Azerbaijani language pack for Firefox
 This package contains Azerbaijani translations and search plugins
 for Firefox

Package: firefox-locale-be
Architecture: any
Depends: ${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Transitional package for unavailable language
 This language is unavailable for the current version of Firefox
 .
 This is an empty transitional package to ensure a clean upgrade
 process. You can safely remove this package after installation.

Package: firefox-locale-bg
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bg-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bulgarian language pack for Firefox
 This package contains Bulgarian translations and search plugins
 for Firefox

Package: firefox-locale-bn
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bn-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bengali language pack for Firefox
 This package contains Bengali translations and search plugins
 for Firefox

Package: firefox-locale-br
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-br-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Breton language pack for Firefox
 This package contains Breton translations and search plugins
 for Firefox

Package: firefox-locale-bs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bs-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bosnian language pack for Firefox
 This package contains Bosnian translations and search plugins
 for Firefox

Package: firefox-locale-ca
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ca-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Catalan; Valencian language pack for Firefox
 This package contains Catalan; Valencian translations and search plugins
 for Firefox

Package: firefox-locale-cak
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cak-base

## firefox 56.0+build6

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.wily
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.artful
 Build-Depends: cdbs,
 	locales,
 	debhelper (>= 7),
@@ -39,8 +39,10 @@
 	xvfb,
 	python (>= 2.7),
 	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
-	cargo (>= 0.16),
-	rustc (>= 1.15.1)
+	clang-3.9 [amd64 arm64 ppc64el],
+	llvm-3.9-dev [amd64 arm64 ppc64el],
+	cargo (>= 0.18),
+	rustc (>= 1.17.0)
 Standards-Version: 3.9.1
 #XS-Testsuite: autopkgtest
 
@@ -236,13 +238,12 @@
 Package: firefox-locale-be
 Architecture: any
 Depends: ${misc:Depends}
-Conflicts: ${app:Conflicts}
-Provides: ${app:Provides}
-Description: Transitional package for unavailable language
- This language is unavailable for the current version of Firefox
- .
- This is an empty transitional package to ensure a clean upgrade
- process. You can safely remove this package after installation.
+Replaces: language-pack-be-base
+Conflicts: ${app:Conflicts}
+Provides: ${app:Provides}
+Description: Belarusian language pack for Firefox
+ This package contains Belarusian translations and search plugins
+ for Firefox
 
 Package: firefox-locale-bg
 Architecture: any
@@ -298,3 +299,4 @@
 Architecture: any
 Depends: ${misc:Depends}
 Replaces: language-pack-cak-base
+Conflicts: ${app:Conflicts}

=== debian/rules ===
#!/usr/bin/make -f

MOZ_PKG_BASENAME	:= firefox

include $(CURDIR)/debian/build/config.mk

MOZ_APP			:= browser
MOZ_VENDOR		:= Mozilla
MOZ_MOZDIR		:=

MOZ_APP_SUBDIR	:= browser

MOZ_BRANDING		:= $(CHANNEL)
ifneq (,$(filter release beta, $(MOZ_BRANDING)))
MOZ_BRANDING		:= official
endif
ifeq (1,$(MOZ_FORCE_UNOFFICIAL_BRANDING))
ifneq (,$(filter official aurora, $(MOZ_BRANDING)))
MOZ_BRANDING		:= unofficial
endif
endif
MOZ_BRANDING_DIR 	:= $(MOZ_APP)/branding/$(MOZ_BRANDING)
ifeq (official,$(MOZ_BRANDING))
MOZ_BRANDING_OPTION	:= --enable-official-branding
else
MOZ_BRANDING_OPTION	:= --with-branding=$(MOZ_BRANDING_DIR)
endif

MOZ_PKGNAME_SUBST_FILES = \
	debian/usr.bin.$(MOZ_PKG_NAME) \
	debian/README.Debian \
	debian/$(MOZ_PKG_NAME)-locale.preinst \
	debian/$(MOZ_PKG_BASENAME).sh \
	debian/apport/blacklist \
	debian/apport/native-origins \
	debian/apport/source_$(MOZ_PKG_NAME).py \
	debian/testing/run_mochitest \
	debian/testing/run_reftest \
	$(NULL)

MOZ_APPNAME_SUBST_FILES = \
	debian/$(MOZ_APP_NAME).1 \
	$(NULL)

ifeq (1,${MOZ_OFFICIAL_BUILD})
export MOZILLA_OFFICIAL=1
endif
ifeq (1,${MOZ_ENABLE_TELEMETRY})
export MOZ_TELEMETRY_REPORTING=1
export MOZ_SOURCE_REPO=${MOZILLA_REPO}
export MOZ_SOURCE_CHANGESET=$(shell cat $(DEB_SRCDIR)/SOURCE_CHANGESET)
endif

include $(CURDIR)/debian/build/rules.mk

#MOZ_EXECUTABLES_$(MOZ_PKG_NAME)-testsuite =	$(MOZ_LIBDIR)/testing/run_mochitest \
						$(MOZ_LIBDIR)/testing/run_reftest \
						$(MOZ_LIBDIR)/testing/run_xpcshell_tests \
						$(MOZ_LIBDIR)/xpcshell \
						$(MOZ_LIBDIR)/testing/filter_results \
						$(NULL)

debian/usr.bin.firefox.in:
	if [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1410' ]; then \
		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.14.10 $(CURDIR)/debian/usr.bin.firefox.in ; \
	elif [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1310' ]; then \
		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.13.10 $(CURDIR)/debian/usr.bin.firefox.in ; \
	else \
		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.12.04 $(CURDIR)/debian/usr.bin.firefox.in ; \
	fi

ifeq (firefox, $(MOZ_APP_NAME))
ifneq (,$(filter precise, $(DISTRIB_CODENAME)))
PLUGIN_BREAKS := flashplugin-installer (<= 11.1.102.63ubuntu1), adobe-flashplugin (<= 11.1.102.63-0precise1)
PLUGIN_CONFLICTS := gcu-plugin (<= 0.12.10-1ubuntu1)
endif
endif

WRITE_SUBSTVARS = $(shell echo "$(2)=$(3)" | sed 's/[ \t\n]\+/ /g' >> debian/$(1).substvars)

ifeq (firefox, $(MOZ_PKG_NAME))
ifeq (,$(filter precise, $(DISTRIB_CODENAME)))
install/firefox::
	$(call WRITE_SUBSTVARS,firefox,transitional:Replaces,kubuntu-firefox-installer)
else
FIREFOX_REPLACES = abrowser, abrowser-branding, firefox-branding, kubuntu-firefox-installer
FIREFOX_BREAKS = abrowser (<= 4.0~b11+build3+nobinonly-0ubuntu1), abrowser-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), \
		 firefox-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), $(PLUGIN_BREAKS)
install/firefox::
	$(call WRITE_SUBSTVARS,firefox,transitional:Replaces,$(FIREFOX_REPLACES))
	$(call WRITE_SUBSTVARS,firefox,transitional:Breaks,$(FIREFOX_BREAKS))
	$(call WRITE_SUBSTVARS,firefox,transitional:Conflicts,$(PLUGIN_CONFLICTS))
endif
endif

binary-post-install/$(MOZ_PKG_NAME):: install-distribution-searchplugins-$(MOZ_PKG_NAME)

$(patsubst %,binary-post-install/%,$(MOZ_LOCALE_PKGS)):: binary-post-install/%: install-distribution-searchplugins-%

$(patsubst %,install-distribution-searchplugins-%,$(MOZ_LOCALE_PKGS) $(MOZ_PKG_NAME)) :: install-distribution-searchplugins-% :
	@echo ""
	@echo "Installing distribution searchplugins for $*"
$(patsubst %,install-distribution-searchplugins-%,$(MOZ_LOCALE_PKGS) $(MOZ_PKG_NAME)) :: install-distribution-searchplugins-% : install-distribution-searchplugins-IMPL-%
$(patsubst %,install-distribution-searchplugins-%,$(MOZ_LOCALE_PKGS) $(MOZ_PKG_NAME)) :: install-distribution-searchplugins-% :
	@echo ""

install-distribution-searchplugins-IMPL-%:
	$(foreach lang,$(call locales_for_langpack,$*), \
		python debian/install-distribution-searchplugins.py -c debian/config/searchplugins.conf -l $(lang) -u $(firstword $(wildcard $(MOZ_DISTDIR)/xpi-stage/locale-$(lang)/browser/chrome/$(lang)/locale/browser/searchplugins) $(MOZ_DISTDIR)/bin/browser/chrome/en-US/locale/browser/searchplugins) -d debian/$*/$(MOZ_LIBDIR)/distribution/searchplugins/locale/$(lang) -s debian/searchplugins;)

make-langpack-preinsts:: $(foreach langpack,$(MOZ_LOCALE_PKGS),debian/$(langpack).preinst)
$(patsubst %,debian/%.preinst,$(MOZ_LOCALE_PKGS)) :: debian/%.preinst : debian/$(MOZ_PKG_NAME)-locale.preinst
	cp $< $@

pre-build:: make-langpack-preinsts

clean::
	rm -f debian/$(MOZ_PKG_NAME)-locale-*.preinst
	rm -f debian/usr.bin.firefox.in

.PHONY: make-langpack-preinsts

## firefox 57.0.4+build1

=== debian/changelog ===
firefox (57.0.4+build1-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * New upstream stable release (57.0.4build1)

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 04 Jan 2018 09:05:26 +0000

firefox (57.0.3+build1-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * New upstream stable release (57.0.3build1)

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 27 Dec 2017 14:22:27 +0000

firefox (57.0.1+build2-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * New upstream stable release (57.0.1build2)
  * Refresh debian/patches/normalize-distribution-searchplugins.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 29 Nov 2017 22:34:38 +0000

firefox (57.0+build4-0ubuntu0.17.04.6) zesty-security; urgency=medium

  * Fix LP: #1733970 - Search suggestions are broken after refreshing the
    Google searchplugin
  * Fix a missing token in the user agent string
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/support-coinstallable-trunk-build.patch
    - update debian/build/rules.mk
    - update debian/config/mozconfig.in

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 23 Nov 2017 16:47:12 +0000

firefox (57.0+build4-0ubuntu0.17.04.5) zesty-security; urgency=medium

  * New upstream stable release (57.0build4)
    - see USN-3477-1

  [ Rico Tzschichholz ]
  * Remote OSProtocolHandlerExists to properly launch custom protocol
    handler (LP: #1725238)
    - debian/patches/moz1382323.patch
  * Refresh patches
    - update debian/patches/revert-upstream-search-engine-changes.patch
    - update debian/patches/ppc-no-static-sizes.patch
  * Install watermark.svg from the onbording extension as symbolic icon
    - debian/build/rules.mk 
    - debian/firefox.dirs.in
  * Update make-langpack-xpis target
    - debian/build/rules.mk
  * Bump build-dep on rustc >= 1.19.0 and cargo >= 0.20
  * Set REAL_LOCALE_MERGEDIR rather than LOCALE_MERGEDIR
    - debian/build/rules.mk
  * Build-dep on clang-4.0, llvm-4.0-dev on all archs for stylo
    - update debian/control{,.in}

  [ Chris Coulson ]
  * Update revert-upstream-search-engine-changes.patch to ensure we keep the
    region overrides for non-Google plugins
  * Update disable-geo-specific-search-defaults-for-us.patch to pick up some
    more locales
  * Update searchplugins.conf to ignore recently added experimental and hidden
    Amazon and Google search plugins
  * Add Urdu localized Amazon search plugin
    - add debian/searchplugins/ur/amazon-in.xml
    - update debian/config/searchplugins.conf
  * Don't set distribution.searchplugins.defaultLocale, as this breaks our
    custom searchplugins for non en-US locales
    - update debian/vendor-gre.js
  * Drop region-specific custom Google searchplugins, as these aren't needed
    anymore
    - remove debian/searchplugins/en-GB/google.xml
    - remove debian/searchplugins/en-ZA/google.xml
    - remove debian/searchplugins/ku/google.xml
    - update debian/config/searchplugins.conf
  * Refresh Google search plugin
    - update debian/searchplugins/en-US/google.xml
  * Refresh Baidu search plugin
    - update debian/searchplugins/zh-CN/baidu.xml
  * Refresh Amazon search plugins
    - update debian/searchplugins/de/amazondotcom-de.xml
    - update debian/searchplugins/en-GB/amazon-en-GB.xml
    - update debian/searchplugins/en-US/amazondotcom.xml
    - update debian/searchplugins/fr/amazon-france.xml
    - update debian/searchplugins/it/amazon-it.xml
    - update debian/searchplugins/ja/amazon-jp.xml
    - update debian/searchplugins/zh-CN/amazondotcn.xml
    - remove unused debian/searchplugins/sq/amazon-en-GB.xml

  [ Jamie Strandboge ]
  * Update AppArmor profile

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 09 Nov 2017 23:04:37 +0000

firefox (56.0+build6-0ubuntu0.17.04.2) zesty-security; urgency=medium

  * Backport patch to stub gdk_screen_get_monitor_workarea in mozgtk2
    (fixes LP: #1720908)
    - add debian/patches/stub-gdk_screen_get_monitor_workarea-in-mozgtk2.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 03 Oct 2017 10:44:38 +0100

firefox (56.0+build6-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * New upstream stable release (56.0build6)

  [ Rico Tzschichholz ]
  * Bump build-dep on rustc >= 1.17.0 and cargo >= 0.18
  * Build-dep on clang-3.9, llvm-3.9-dev on 64bit archs for stylo
    - update debian/control{,.in}
  * Refresh patches
    - update debian/patches/revert-upstream-search-engine-changes.patch
  * Drop upstreamed patches
    - debian/patches/build-ppc64.patch
    - debian/patches/fix-no-jit-backend.patch
  * Don't try to check checksums of windows-only binary files which are
    not included in the tarball
    - debian/patches/rust-drop-dll-checksums.patch
  * Add ppc64/s390x build fixes
    - debian/patches/build-ppc64-s390x-nss.patch
  * Don't restrict Destop Actions to Unity (LP: #1615549)
    and make them compliant with GNOME-Shell
    - debian/firefox.desktop.in

  [ Chris Coulson ]
  * Update unity-menubar.patch for Stylo, nsAdoptedCString removal, and
    imgRequestProxy, nsITimer and mozilla::Runnable changes
  * Drop patches that are fixed upstream
    - remove debian/patches/cubeb-pulse-rs-fix.patch
    - update debian/patches/series
  * Don't pass -mfloat-abi=softfp when building webrtc on armhf
    - add debian/patches/webrtc-fix-compiler-flags-for-armhf.patch
    - update debian/patches/series
  * Fix skia build failure on aarch64 against kernel headers that don't
    define HWCAP_CRC32
    - add debian/patches/skia-fix-aarch64-build-on-older-linux.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 21 Sep 2017 23:15:16 +0100

firefox (55.0.2+build1-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * New upstream stable release (55.0.2build1)

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 16 Aug 2017 15:52:56 +0100



=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.artful
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.zesty
 Build-Depends: cdbs,
 	locales,
 	debhelper (>= 7),
@@ -39,10 +39,10 @@
 	xvfb,
 	python (>= 2.7),
 	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
-	clang-3.9 [amd64 arm64 ppc64el],
-	llvm-3.9-dev [amd64 arm64 ppc64el],
-	cargo (>= 0.18),
-	rustc (>= 1.17.0)
+	clang-4.0,
+	llvm-4.0-dev,
+	cargo (>= 0.20),
+	rustc (>= 1.19.0)
 Standards-Version: 3.9.1
 #XS-Testsuite: autopkgtest
 
@@ -300,3 +300,4 @@
 Depends: ${misc:Depends}
 Replaces: language-pack-cak-base
 Conflicts: ${app:Conflicts}
+Provides: ${app:Provides}

## firefox 59.0.2+build1

=== taskcluster/docker/funsize-update-generator/requirements.txt ===
aiohttp==2.3.6
arrow==0.12.0
asn1crypto==0.24.0
async-timeout==2.0.0
awscli==1.14.10
backports.lzma==0.0.8
botocore==1.8.14
certifi==2017.11.5
cffi==1.11.4
chardet==3.0.4
click==6.7
colorama==0.3.7
construct==2.8.20
cryptography==2.1.4
datadog==0.17.0
decorator==4.2.1
defusedxml==0.5.0
docutils==0.14
frozendict==1.2
idna==2.6
jmespath==0.9.3
jsonschema==2.6.0
mar==2.1.2
mohawk==0.3.4
multidict==4.0.0
pexpect==4.3.1
ptyprocess==0.5.2
pyasn1==0.4.2
pycparser==2.18
python-dateutil==2.6.1
python-gnupg==0.4.1
PyYAML==3.12
redo==1.6
requests==2.18.4
rsa==3.4.2
s3transfer==0.1.12
scriptworker==6.0.0
simplejson==3.13.2
six==1.11.0
slugid==1.0.7
taskcluster==2.1.3
urllib3==1.22
virtualenv==15.1.0
yarl==1.0.0

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.zesty
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.bionic
 Build-Depends: cdbs,
 	locales,
-	debhelper (>= 7),
+	debhelper (>= 9),
 	autotools-dev,
 	autoconf2.13,
-	quilt,
 	zip,
 	libx11-dev,
 	libx11-xcb-dev,
@@ -21,8 +20,6 @@
 	libpango1.0-dev (>= 1.14.0),
 	libfontconfig1-dev,
 	libfreetype6-dev (>= 2.0.1),
-	libgconf2-dev (>= 1.2.1),
-	libgnomeui-dev (>= 2.2.0),
 	libstartup-notification0-dev,
 	libasound2-dev,
 	libcurl4-openssl-dev,
@@ -41,8 +38,8 @@
 	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
 	clang-4.0,
 	llvm-4.0-dev,
-	cargo (>= 0.20),
-	rustc (>= 1.19.0)
+	cargo (>= 0.23),
+	rustc (>= 1.22.1)
 Standards-Version: 3.9.1
 #XS-Testsuite: autopkgtest
 
@@ -55,7 +52,7 @@
 	${support:Recommends},
 	libcanberra0,
 	libdbusmenu-glib4,
-	libdbusmenu-gtk4
+	libdbusmenu-gtk3-4
 Provides: www-browser,
 	iceweasel,
 	gnome-www-browser,
@@ -122,7 +119,7 @@
 Depends: ${shlibs:Depends},
 	${misc:Depends},
 	firefox (= ${binary:Version}),
-	firefox-locale-af (= ${binary:Version}), firefox-locale-an (= ${binary:Version}), firefox-locale-ar (= ${binary:Version}), firefox-locale-as (= ${binary:Version}), firefox-locale-ast (= ${binary:Version}), firefox-locale-az (= ${binary:Version}), firefox-locale-be (= ${binary:Version}), firefox-locale-bg (= ${binary:Version}), firefox-locale-bn (= ${binary:Version}), firefox-locale-br (= ${binary:Version}), firefox-locale-bs (= ${binary:Version}), firefox-locale-ca (= ${binary:Version}), firefox-locale-cak (= ${binary:Version}), firefox-locale-cs (= ${binary:Version}), firefox-locale-csb (= ${binary:Version}), firefox-locale-cy (= ${binary:Version}), firefox-locale-da (= ${binary:Version}), firefox-locale-de (= ${binary:Version}), firefox-locale-el (= ${binary:Version}), firefox-locale-en (= ${binary:Version}), firefox-locale-eo (= ${binary:Version}), firefox-locale-es (= ${binary:Version}), firefox-locale-et (= ${binary:Version}), firefox-locale-eu (= ${binary:Version}), firefox-locale-fa (= ${binary:Version}), firefox-locale-fi (= ${binary:Version}), firefox-locale-fr (= ${binary:Version}), firefox-locale-fy (= ${binary:Version}), firefox-locale-ga (= ${binary:Version}), firefox-locale-gd (= ${binary:Version}), firefox-locale-gl (= ${binary:Version}), firefox-locale-gn (= ${binary:Version}), firefox-locale-gu (= ${binary:Version}), firefox-locale-he (= ${binary:Version}), firefox-locale-hi (= ${binary:Version}), firefox-locale-hr (= ${binary:Version}), firefox-locale-hsb (= ${binary:Version}), firefox-locale-hu (= ${binary:Version}), firefox-locale-hy (= ${binary:Version}), firefox-locale-id (= ${binary:Version}), firefox-locale-is (= ${binary:Version}), firefox-locale-it (= ${binary:Version}), firefox-locale-ja (= ${binary:Version}), firefox-locale-ka (= ${binary:Version}), firefox-locale-kab (= ${binary:Version}), firefox-locale-kk (= ${binary:Version}), firefox-locale-km (= ${binary:Version}), firefox-locale-kn (= ${binary:Version}), firefox-locale-ko (= ${binary:Version}), firefox-locale-ku (= ${binary:Version}), firefox-locale-lg (= ${binary:Version}), firefox-locale-lt (= ${binary:Version}), firefox-locale-lv (= ${binary:Version}), firefox-locale-mai (= ${binary:Version}), firefox-locale-mk (= ${binary:Version}), firefox-locale-ml (= ${binary:Version}), firefox-locale-mn (= ${binary:Version}), firefox-locale-mr (= ${binary:Version}), firefox-locale-ms (= ${binary:Version}), firefox-locale-my (= ${binary:Version}), firefox-locale-nb (= ${binary:Version}), firefox-locale-nl (= ${binary:Version}), firefox-locale-nn (= ${binary:Version}), firefox-locale-nso (= ${binary:Version}), firefox-locale-oc (= ${binary:Version}), firefox-locale-or (= ${binary:Version}), firefox-locale-pa (= ${binary:Version}), firefox-locale-pl (= ${binary:Version}), firefox-locale-pt (= ${binary:Version}), firefox-locale-ro (= ${binary:Version}), firefox-locale-ru (= ${binary:Version}), firefox-locale-si (= ${binary:Version}), firefox-locale-sk (= ${binary:Version}), firefox-locale-sl (= ${binary:Version}), firefox-locale-sq (= ${binary:Version}), firefox-locale-sr (= ${binary:Version}), firefox-locale-sv (= ${binary:Version}), firefox-locale-sw (= ${binary:Version}), firefox-locale-ta (= ${binary:Version}), firefox-locale-te (= ${binary:Version}), firefox-locale-th (= ${binary:Version}), firefox-locale-tr (= ${binary:Version}), firefox-locale-uk (= ${binary:Version}), firefox-locale-ur (= ${binary:Version}), firefox-locale-uz (= ${binary:Version}), firefox-locale-vi (= ${binary:Version}), firefox-locale-xh (= ${binary:Version}), firefox-locale-zh-hans (= ${binary:Version}), firefox-locale-zh-hant (= ${binary:Version}), firefox-locale-zu (= ${binary:Version}),
+	firefox-locale-af (= ${binary:Version}), firefox-locale-an (= ${binary:Version}), firefox-locale-ar (= ${binary:Version}), firefox-locale-as (= ${binary:Version}), firefox-locale-ast (= ${binary:Version}), firefox-locale-az (= ${binary:Version}), firefox-locale-be (= ${binary:Version}), firefox-locale-bg (= ${binary:Version}), firefox-locale-bn (= ${binary:Version}), firefox-locale-br (= ${binary:Version}), firefox-locale-bs (= ${binary:Version}), firefox-locale-ca (= ${binary:Version}), firefox-locale-cak (= ${binary:Version}), firefox-locale-cs (= ${binary:Version}), firefox-locale-csb (= ${binary:Version}), firefox-locale-cy (= ${binary:Version}), firefox-locale-da (= ${binary:Version}), firefox-locale-de (= ${binary:Version}), firefox-locale-el (= ${binary:Version}), firefox-locale-en (= ${binary:Version}), firefox-locale-eo (= ${binary:Version}), firefox-locale-es (= ${binary:Version}), firefox-locale-et (= ${binary:Version}), firefox-locale-eu (= ${binary:Version}), firefox-locale-fa (= ${binary:Version}), firefox-locale-fi (= ${binary:Version}), firefox-locale-fr (= ${binary:Version}), firefox-locale-fy (= ${binary:Version}), firefox-locale-ga (= ${binary:Version}), firefox-locale-gd (= ${binary:Version}), firefox-locale-gl (= ${binary:Version}), firefox-locale-gn (= ${binary:Version}), firefox-locale-gu (= ${binary:Version}), firefox-locale-he (= ${binary:Version}), firefox-locale-hi (= ${binary:Version}), firefox-locale-hr (= ${binary:Version}), firefox-locale-hsb (= ${binary:Version}), firefox-locale-hu (= ${binary:Version}), firefox-locale-hy (= ${binary:Version}), firefox-locale-ia (= ${binary:Version}), firefox-locale-id (= ${binary:Version}), firefox-locale-is (= ${binary:Version}), firefox-locale-it (= ${binary:Version}), firefox-locale-ja (= ${binary:Version}), firefox-locale-ka (= ${binary:Version}), firefox-locale-kab (= ${binary:Version}), firefox-locale-kk (= ${binary:Version}), firefox-locale-km (= ${binary:Version}), firefox-locale-kn (= ${binary:Version}), firefox-locale-ko (= ${binary:Version}), firefox-locale-ku (= ${binary:Version}), firefox-locale-lg (= ${binary:Version}), firefox-locale-lt (= ${binary:Version}), firefox-locale-lv (= ${binary:Version}), firefox-locale-mai (= ${binary:Version}), firefox-locale-mk (= ${binary:Version}), firefox-locale-ml (= ${binary:Version}), firefox-locale-mn (= ${binary:Version}), firefox-locale-mr (= ${binary:Version}), firefox-locale-ms (= ${binary:Version}), firefox-locale-my (= ${binary:Version}), firefox-locale-nb (= ${binary:Version}), firefox-locale-ne (= ${binary:Version}), firefox-locale-nl (= ${binary:Version}), firefox-locale-nn (= ${binary:Version}), firefox-locale-nso (= ${binary:Version}), firefox-locale-oc (= ${binary:Version}), firefox-locale-or (= ${binary:Version}), firefox-locale-pa (= ${binary:Version}), firefox-locale-pl (= ${binary:Version}), firefox-locale-pt (= ${binary:Version}), firefox-locale-ro (= ${binary:Version}), firefox-locale-ru (= ${binary:Version}), firefox-locale-si (= ${binary:Version}), firefox-locale-sk (= ${binary:Version}), firefox-locale-sl (= ${binary:Version}), firefox-locale-sq (= ${binary:Version}), firefox-locale-sr (= ${binary:Version}), firefox-locale-sv (= ${binary:Version}), firefox-locale-sw (= ${binary:Version}), firefox-locale-ta (= ${binary:Version}), firefox-locale-te (= ${binary:Version}), firefox-locale-th (= ${binary:Version}), firefox-locale-tr (= ${binary:Version}), firefox-locale-uk (= ${binary:Version}), firefox-locale-ur (= ${binary:Version}), firefox-locale-uz (= ${binary:Version}), firefox-locale-vi (= ${binary:Version}), firefox-locale-xh (= ${binary:Version}), firefox-locale-zh-hans (= ${binary:Version}), firefox-locale-zh-hant (= ${binary:Version}), firefox-locale-zu (= ${binary:Version}),
 	python,
 	dbus-x11,
 	xvfb,

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,6 @@
 MOZ_PKGNAME_SUBST_FILES = \
 	debian/usr.bin.$(MOZ_PKG_NAME) \
 	debian/README.Debian \
-	debian/$(MOZ_PKG_NAME)-locale.preinst \
 	debian/$(MOZ_PKG_BASENAME).sh \
 	debian/apport/blacklist \
 	debian/apport/native-origins \
@@ -65,32 +64,13 @@
 		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.14.10 $(CURDIR)/debian/usr.bin.firefox.in ; \
 	elif [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1310' ]; then \
 		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.13.10 $(CURDIR)/debian/usr.bin.firefox.in ; \
-	else \
-		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.12.04 $(CURDIR)/debian/usr.bin.firefox.in ; \
 	fi
-
-ifeq (firefox, $(MOZ_APP_NAME))
-ifneq (,$(filter precise, $(DISTRIB_CODENAME)))
-PLUGIN_BREAKS := flashplugin-installer (<= 11.1.102.63ubuntu1), adobe-flashplugin (<= 11.1.102.63-0precise1)
-PLUGIN_CONFLICTS := gcu-plugin (<= 0.12.10-1ubuntu1)
-endif
-endif
 
 WRITE_SUBSTVARS = $(shell echo "$(2)=$(3)" | sed 's/[ \t\n]\+/ /g' >> debian/$(1).substvars)
 
 ifeq (firefox, $(MOZ_PKG_NAME))
-ifeq (,$(filter precise, $(DISTRIB_CODENAME)))
 install/firefox::
 	$(call WRITE_SUBSTVARS,firefox,transitional:Replaces,kubuntu-firefox-installer)
-else
-FIREFOX_REPLACES = abrowser, abrowser-branding, firefox-branding, kubuntu-firefox-installer
-FIREFOX_BREAKS = abrowser (<= 4.0~b11+build3+nobinonly-0ubuntu1), abrowser-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), \
-		 firefox-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), $(PLUGIN_BREAKS)
-install/firefox::
-	$(call WRITE_SUBSTVARS,firefox,transitional:Replaces,$(FIREFOX_REPLACES))
-	$(call WRITE_SUBSTVARS,firefox,transitional:Breaks,$(FIREFOX_BREAKS))
-	$(call WRITE_SUBSTVARS,firefox,transitional:Conflicts,$(PLUGIN_CONFLICTS))
-endif
 endif
 
 binary-post-install/$(MOZ_PKG_NAME):: install-distribution-searchplugins-$(MOZ_PKG_NAME)
@@ -108,14 +88,5 @@
 	$(foreach lang,$(call locales_for_langpack,$*), \
 		python debian/install-distribution-searchplugins.py -c debian/config/searchplugins.conf -l $(lang) -u $(firstword $(wildcard $(MOZ_DISTDIR)/xpi-stage/locale-$(lang)/browser/chrome/$(lang)/locale/browser/searchplugins) $(MOZ_DISTDIR)/bin/browser/chrome/en-US/locale/browser/searchplugins) -d debian/$*/$(MOZ_LIBDIR)/distribution/searchplugins/locale/$(lang) -s debian/searchplugins;)
 
-make-langpack-preinsts:: $(foreach langpack,$(MOZ_LOCALE_PKGS),debian/$(langpack).preinst)
-$(patsubst %,debian/%.preinst,$(MOZ_LOCALE_PKGS)) :: debian/%.preinst : debian/$(MOZ_PKG_NAME)-locale.preinst
-	cp $< $@
-
-pre-build:: make-langpack-preinsts
-
 clean::
-	rm -f debian/$(MOZ_PKG_NAME)-locale-*.preinst
 	rm -f debian/usr.bin.firefox.in
-
-.PHONY: make-langpack-preinsts
